package org.ntlab.radishforandroidstudio.framework.event;

import android.view.MotionEvent;

public class PadEvent extends MyEvent{
    private MotionEvent e;

    /**
     * パッドを倒した距離
     * 範囲は 0<=length<=1
     */
    private float length;

    /**
     * パッドを倒した方向
     * 単位radian
     */
    private float angle;

    public PadEvent(MotionEvent e, float length, float angle) {
        super(e);
        this.length = length;
        this.angle = angle;
    }

    public float getLength() {
        return length;
    }

    public float getAngle() {
        return angle;
    }
}
